/*
 * TestTutto.java
 * JUnit based test
 *
 * Created on 21 marzo 2003, 17.33
 */

package it.unibas.pinco.test;

import junit.framework.*;

/**
 *
 * @author mecca
 */
public class TestTutto extends TestCase {
    
    public TestTutto(java.lang.String testName) {
        super(testName);
    }
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite();
        suite.addTestSuite(TestDescrittoreAzione.class);
        suite.addTestSuite(TestMappaDelleAzioni.class);
        suite.addTestSuite(TestCommandFactory.class);
        suite.addTestSuite(TestControllo.class);
        return suite;
    }
    
    // Add test methods here, they have to start with 'test' name.
    // for example:
    // public void testHello() {}
        
}
